"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10790dcf0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10790dd80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10790de10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10790dea0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10790df30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10790dfc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10790e050>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10790e0e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10790e170>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10790e200>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10790e290>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10790e320>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10790e3b0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10790e440>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10790e4d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10790e560>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10790e5f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10790e680>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10790e710>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10790e7a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10790e830>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10790e8c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10790e950>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10790e9e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10790eb00>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10790ea70>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10790eb90>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10790ec20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10790ecb0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10790ed40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10790edd0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10790ee60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10790eef0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10790ef80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10790f010>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10790f0a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10790f130>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10790f1c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10790f250>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10790f2e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10790f370>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10790f400>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10790f490>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10790f520>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10790f5b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10790f640>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10790f6d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10790f760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10790f7f0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10790f880>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10790f910>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10790f9a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10790fa30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10790fac0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10790fb50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10790fbe0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10790fc70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10790fd00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10790fd90>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10790fe20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10790feb0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10790ff40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107938040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1079380d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107938160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107938310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1079381f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1079383a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107938430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1079384c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107938550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1079385e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107938700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107938670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107938790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107938820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1079388b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1079389d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107938940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107938a60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107938af0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107938b80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107938c10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107938ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107938d30>)]
name: str = 'fr_HOCCN'
